## vte2.91 0.70.6

=== debian/changelog ===
vte2.91 (0.70.6-2~deb12u1) bookworm; urgency=medium

  * Team upload
  * Rebuild for bookworm (Closes: #1040049)

 -- Simon McVittie <smcv@debian.org>  Wed, 09 Aug 2023 13:01:27 +0100

vte2.91 (0.70.6-2) unstable; urgency=medium

  * Team upload
  * d/p/widget-Invalidate-ringview-when-the-invalidating.patch:
    Add patch from upstream git to invalidate ring view more often when
    necessary, fixing various assertion failures during event handling
    (Closes: #1040049)

 -- Simon McVittie <smcv@debian.org>  Fri, 14 Jul 2023 11:31:40 +0100

vte2.91 (0.70.6-1~deb12u1) bookworm; urgency=medium

  * Team upload
  * Rebuild for bookworm (Closes: #1037919, LP: #2022019)
  * d/gbp.conf, d/control.in: Use debian/bookworm packaging branch

 -- Simon McVittie <smcv@debian.org>  Wed, 14 Jun 2023 12:17:06 +0100

vte2.91 (0.70.6-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - Functionally equivalent to 0.70.5-2, but the fix for #1037919
      is incorporated upstream instead of as a patch
  * Add Debian and Ubuntu bug numbers to 0.70.5-2 changelog entry
  * Fix a typo in revised 0.70.5-1 changelog entry
  * d/gbp.conf, d/control.in: Use debian/trixie branch for packaging

 -- Simon McVittie <smcv@debian.org>  Wed, 14 Jun 2023 12:16:35 +0100

vte2.91 (0.70.5-2) unstable; urgency=high

  * Team upload
  * This version is functionally equivalent to 0.70.6 upstream, but 0.70.6
    tarballs are not yet available
  * d/p/emulation-Fix-infinite-loop-on-non-number-OSC-104-param.patch:
    Add patch from upstream to fix an infinite loop processing OSC 104.
    A malicious program accessed via ssh, telnet or similar protocols could
    use this as a denial of service.
    (Closes: #1037919, LP: #2022019; vte#2631 upstream)
  * Add more details of the bugs fixed in the previous changelog entry

 -- Simon McVittie <smcv@debian.org>  Wed, 14 Jun 2023 10:17:06 +0100

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: vte2.91
Section: libs
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bicha <jbicha@ubuntu.com>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-gnome,
               dh-sequence-gir,
               gettext,
               gi-docgen,
               libgirepository1.0-dev (>= 0.9.12),
               libglib2.0-dev (>= 2.52.0),
               libgnutls28-dev (>= 3.2.7),
               libgtk-3-dev (>= 3.24.22),
               libgtk-4-dev,
               libpango1.0-dev (>= 1.22.0),
               libpcre2-dev (>= 10.21),
               libsystemd-dev (>= 220) [linux-any],
               libxml2-utils,
               meson (>= 0.50.0),
               valac (>= 0.31.1)
Rules-Requires-Root: no
Build-Depends-Indep: libatk1.0-doc <!nodoc>,
                     libglib2.0-doc <!nodoc>,
                     libgtk-3-doc <!nodoc>
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/gnome-team/vte2.91
Vcs-Git: https://salsa.debian.org/gnome-team/vte2.91.git -b debian/bookworm
Homepage: https://wiki.gnome.org/Apps/Terminal/VTE

Package: libvte-2.91-0
Architecture: any
Depends: libvte-2.91-common (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Multi-Arch: same
Description: Terminal emulator widget for GTK+ 3.0 - runtime files
 The VTE library provides a terminal emulator widget VteTerminal for
 applications using the GTK+ toolkit. It also provides the VtePTY object
 containing functions for starting a new process on a new
 pseudo-terminal and for manipulating pseudo-terminals.
 .
 This package contains the runtime library, needed by programs using the
 VTE widget with GTK+ 3.0.

Package: libvte-2.91-0-udeb
Package-Type: udeb
Build-Profiles: <!noudeb>
Section: debian-installer
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Terminal emulator widget for GTK+ 3.0 - minimal runtime
 The VTE library provides a terminal emulator widget VteTerminal for
 applications using the GTK+ toolkit. It also provides the VtePTY object
 containing functions for starting a new process on a new
 pseudo-terminal and for manipulating pseudo-terminals.
 .
 This package contains the minimal runtime library for GTK+ 3.0 needed
 by the Debian installer.

Package: libvte-2.91-gtk4-0
Architecture: any
Depends: libvte-2.91-common (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Multi-Arch: same
Description: Terminal emulator widget for GTK 4 - runtime files
 The VTE library provides a terminal emulator widget VteTerminal for
 applications using the GTK toolkit. It also provides the VtePTY object
 containing functions for starting a new process on a new
 pseudo-terminal and for manipulating pseudo-terminals.
 .
 This package contains the runtime library, needed by programs using the
 VTE widget with GTK 4.

Package: gir1.2-vte-2.91
Architecture: any
Section: introspection
Depends: ${gir:Depends},
         ${misc:Depends}
Multi-Arch: same
Description: GObject introspection data for the VTE library
 This package contains introspection data for VTE, a terminal emulator
 widget for GTK+.
 .
 It can be used by interpreters understanding the GIRepository format to
 write programs using the VTE widget for GTK+ 3.0.

Package: gir1.2-vte-3.91
Architecture: any
Section: introspection
Depends: ${gir:Depends},
         ${misc:Depends}
Multi-Arch: same
Description: GObject introspection data for the VTE library
 This package contains introspection data for VTE, a terminal emulator
 widget for GTK+.
 .
 It can be used by interpreters understanding the GIRepository format to
 write programs using the VTE widget for GTK 4.

Package: libvte-2.91-dev
Architecture: any
Section: libdevel
Depends: gir1.2-vte-2.91 (= ${binary:Version}),
         libglib2.0-dev (>= 2.40.0),
         libgnutls28-dev (>= 3.2.7),
         libgtk-3-dev (>= 3.12.0),
         libpango1.0-dev (>= 1.22.0),
         libpcre2-dev (>= 10.21),
         libvte-2.91-0 (= ${binary:Version}),
         libvte-2.91-common,
         zlib1g-dev,
         ${misc:Depends}
Recommends: libvte-2.91-doc
Conflicts: libvte-2.90-dev
Multi-Arch: same
Description: Terminal emulator widget for GTK+ 3.0 - development files
 The VTE library provides a terminal emulator widget VteTerminal for
 applications using the GTK+ toolkit. It also provides the VtePTY object
 containing functions for starting a new process on a new
 pseudo-terminal and for manipulating pseudo-terminals.
 .
 This package contains development files for the VTE library and its
 Python bindings. It is needed to develop and build programs using the
 VTE widget with GTK+ 3.0.

Package: libvte-2.91-gtk4-dev
Architecture: any
Section: libdevel
Depends: gir1.2-vte-3.91 (= ${binary:Version}),
         libglib2.0-dev (>= 2.40.0),
         libgnutls28-dev (>= 3.2.7),
         libgtk-4-dev,
         libpango1.0-dev (>= 1.22.0),
         libpcre2-dev (>= 10.21),
         libvte-2.91-gtk4-0 (= ${binary:Version}),
         libvte-2.91-common,
         zlib1g-dev,
         ${misc:Depends}
Recommends: libvte-2.91-doc
Multi-Arch: same
Description: Terminal emulator widget for GTK 4 - development files
 The VTE library provides a terminal emulator widget VteTerminal for
 applications using the GTK toolkit. It also provides the VtePTY object
 containing functions for starting a new process on a new
 pseudo-terminal and for manipulating pseudo-terminals.
 .
 This package contains development files for the VTE library and its
 Python bindings. It is needed to develop and build programs using the
 VTE widget with GTK 4.

Package: libvte-2.91-common
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: foreign
Description: Terminal emulator widget for GTK+ 3.0 - common files
 The VTE library provides a terminal emulator widget VteTerminal for
 applications using the GTK+ toolkit. It also provides the VtePTY object
 containing functions for starting a new process on a new
 pseudo-terminal and for manipulating pseudo-terminals.
 .
 This package contains internationalization files for the VTE library
 and common files for the GTK+ 3.x version.

Package: libvte-2.91-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Build-Profiles: <!nodoc>
Description: Terminal emulator widget for GTK+ 3.0 - documentation
 The VTE library provides a terminal emulator widget VteTerminal for
 applications using the GTK+ toolkit. It also provides the VtePTY object
 containing functions for starting a new process on a new
 pseudo-terminal and for manipulating pseudo-terminals.
 .
 This package contains documentation files for the VTE library for GTK+
 3.x.

Package: libvte-2.91-gtk4-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Build-Profiles: <!nodoc>
Description: Terminal emulator widget for GTK 4 - documentation
 The VTE library provides a terminal emulator widget VteTerminal for
 applications using the GTK toolkit. It also provides the VtePTY object
 containing functions for starting a new process on a new
 pseudo-terminal and for manipulating pseudo-terminals.
 .
 This package contains documentation files for the VTE library for GTK 4.

=== debian/rules ===
#!/usr/bin/make -f

binaries := $(shell dh_listpackages)
LIB_PKG := $(shell sed -rn 's/^Package:[[:space:]]*(libvte-[0-9\.-]+)[[:space:]]*$$/\1/p' debian/control)
UDEB_PKG := $(LIB_PKG)-udeb

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
include /usr/share/dpkg/default.mk

%:
	dh $@

CONFFLAGS_deb = \
	-Ddocs=true \
	-Dgir=true \
	-Dgnutls=true \
	-Dgtk4=true

CONFFLAGS_udeb = \
	-Ddocs=false \
	-Dgir=false \
	-Dgnutls=false \
	-Dicu=false \
	-Dvapi=false \
	-D_systemd=false

override_dh_auto_configure:
	dh_auto_configure --builddirectory=build-deb -- $(CONFFLAGS_deb)
ifneq ($(filter %-udeb,$(binaries)),)
	CFLAGS='$(CFLAGS) -static-libgcc' \
	CXXFLAGS='$(CXXFLAGS) -static-libgcc -static-libstdc++' \
	dh_auto_configure --builddirectory=build-udeb -- $(CONFFLAGS_udeb)
endif

override_dh_auto_build:
	dh_auto_build --builddirectory=build-deb
ifneq ($(filter %-udeb,$(binaries)),)
	dh_auto_build --builddirectory=build-udeb
endif

override_dh_auto_install:
	dh_auto_install --builddirectory=build-deb \
		--destdir=debian/tmp/deb
	rm debian/tmp/deb/usr/bin/vte-2.91
	rm debian/tmp/deb/usr/bin/vte-2.91-gtk4
ifneq ($(filter %-udeb,$(binaries)),)
	dh_auto_install --builddirectory=build-udeb \
		--destdir=debian/tmp/udeb
	rm debian/tmp/udeb/usr/bin/vte-2.91
	rm debian/tmp/udeb/usr/libexec/vte-urlencode-cwd
endif
	mv debian/tmp/deb/etc/profile.d/vte.sh \
		debian/tmp/deb/etc/profile.d/vte-2.91.sh

override_dh_auto_clean:
	dh_auto_clean --builddirectory=build-deb
ifneq ($(filter %-udeb,$(binaries)),)
	dh_auto_clean --builddirectory=build-udeb
endif

override_dh_clean:
	rm -f debian/libvte-2.91-common.install.kfreebsd
	rm -f debian/libvte-2.91-common.install.hurd
	dh_clean

override_dh_auto_test:
	dh_auto_test --builddirectory=build-deb

override_dh_makeshlibs:
	dh_makeshlibs -p$(LIB_PKG) --add-udeb=$(UDEB_PKG) -V -- -c4
	dh_makeshlibs --remaining-packages

override_dh_install:
	grep -E -v 'lib/systemd' debian/libvte-2.91-common.install > debian/libvte-2.91-common.install.kfreebsd
	grep -E -v 'lib/systemd' debian/libvte-2.91-common.install > debian/libvte-2.91-common.install.hurd
ifneq ($(filter %-udeb,$(binaries)),)
	dh_install -p$(UDEB_PKG) --sourcedir=debian/tmp/udeb
endif
	dh_install --remaining-packages --sourcedir=debian/tmp/deb

=== debian/tests/control ===
Tests: build
Depends: build-essential, libvte-2.91-dev
Restrictions: allow-stderr superficial

=== debian/watch ===
version=4
opts="searchmode=plain, uversionmangle=s/\.(alpha|beta|rc)/~$1/, downloadurlmangle=s|cache.json||" \
https://download.gnome.org/sources/vte/cache.json \
	0.70/vte-([\d.]+)@ARCHIVE_EXT@
#opts=filenamemangle=s/.*\///g \
#  https://gitlab.gnome.org/GNOME/vte/tags?sort=updated_desc .*/archive/(\d+\.\d*[02468]\.\S+)/vte-\1\.tar\.gz

## vte2.91 0.72.0

=== debian/changelog ===
vte2.91 (0.72.0-1) experimental; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 27 Mar 2023 07:43:55 -0400

vte2.91 (0.71.99-1) experimental; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 08 Mar 2023 18:24:33 -0500

vte2.91 (0.71.92-1) experimental; urgency=medium

  * New upstream release
  * debian/libvte-2.91-0.symbols: Add new symbols

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 15 Feb 2023 10:10:44 -0500

=== debian/control ===
--- 
+++ 
@@ -29,7 +29,7 @@
                      libgtk-3-doc <!nodoc>
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/gnome-team/vte2.91
-Vcs-Git: https://salsa.debian.org/gnome-team/vte2.91.git -b debian/bookworm
+Vcs-Git: https://salsa.debian.org/gnome-team/vte2.91.git
 Homepage: https://wiki.gnome.org/Apps/Terminal/VTE
 
 Package: libvte-2.91-0

## vte2.91 0.72.2

=== debian/changelog ===
vte2.91 (0.72.2-3.0nosystemd1) nosystemd; urgency=medium

  * No systemd/elogind

 -- anticapitalista <antix@operamail.com>  Sat, 22 Jul 2023 11:37:37 +0300

vte2.91 (0.72.2-3) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 21 Jul 2023 13:24:24 -0400

vte2.91 (0.72.2-2) experimental; urgency=medium

  [ Simon McVittie ]
  * d/p/widget-Invalidate-ringview-when-the-invalidating.patch:
    Add patch from upstream git to invalidate ring view more often when
    necessary, fixing various assertion failures during event handling
    (Closes: #1040049)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 14 Jul 2023 08:13:21 -0400

vte2.91 (0.72.2-1) experimental; urgency=medium

  * New upstream release
    - Includes fix for an infinite loop processing OSC 104.
      A malicious program accessed via ssh, telnet or similar protocols could
      use this as a denial of service.
      (Closes: #1037919, LP: #2022019; vte#2631 upstream)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 14 Jun 2023 16:54:36 -0400

vte2.91 (0.72.1-1) experimental; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 21 Apr 2023 11:30:57 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: libs
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@ubuntu.com>
+Uploaders: Gunnar Hjalmarsson <gunnarhj@debian.org>, Iain Lane <laney@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gnome,
                dh-sequence-gir,
@@ -19,7 +19,6 @@
                libgtk-4-dev,
                libpango1.0-dev (>= 1.22.0),
                libpcre2-dev (>= 10.21),
-               libsystemd-dev (>= 220) [linux-any],
                libxml2-utils,
                meson (>= 0.50.0),
                valac (>= 0.31.1)
@@ -34,9 +33,7 @@
 
 Package: libvte-2.91-0
 Architecture: any
-Depends: libvte-2.91-common (= ${binary:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends}
+Depends: libvte-2.91-common
 Multi-Arch: same
 Description: Terminal emulator widget for GTK+ 3.0 - runtime files
  The VTE library provides a terminal emulator widget VteTerminal for

## vte2.91 0.73.93

=== debian/changelog ===
vte2.91 (0.73.93-1) unstable; urgency=medium

  * New upstream release
  * debian/rules: update exclusion rule for udeb
  * debian/libvte-2.91-0.symbols: Add new symbols
  * Drop patch applied in new release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 07 Aug 2023 18:00:32 -0400

## vte2.91 0.73.99

=== debian/changelog ===
vte2.91 (0.73.99-1.0nosystemd1) nosystemd; urgency=medium

  * No systemd/elogind 

 -- anticapitalista <antix@operamail.com>  Sun, 03 Sep 2023 13:17:21 +0300

vte2.91 (0.73.99-1) unstable; urgency=high

  * New upstream release
    - Fix Shift+click regression (Closes: #1050729)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 02 Sep 2023 19:15:19 -0400

## vte2.91 0.74.0

=== debian/changelog ===
vte2.91 (0.74.0-2) unstable; urgency=medium

  * Revert "Add Samuel Thibault's a11y patch to add missing text changes"
    (Closes: #1052198, #1052172)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 19 Sep 2023 07:59:03 -0400

vte2.91 (0.74.0-1) unstable; urgency=medium

  * New upstream release
  * Add Samuel Thibault's a11y patch to add missing text changes
    on scrolling with modifications

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 18 Sep 2023 06:55:40 -0400

=== debian/control ===
--- 
+++ 
@@ -19,6 +19,7 @@
                libgtk-4-dev,
                libpango1.0-dev (>= 1.22.0),
                libpcre2-dev (>= 10.21),
+               libsystemd-dev (>= 220) [linux-any],
                libxml2-utils,
                meson (>= 0.50.0),
                valac (>= 0.31.1)
@@ -33,7 +34,9 @@
 
 Package: libvte-2.91-0
 Architecture: any
-Depends: libvte-2.91-common
+Depends: libvte-2.91-common (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
 Multi-Arch: same
 Description: Terminal emulator widget for GTK+ 3.0 - runtime files
  The VTE library provides a terminal emulator widget VteTerminal for

=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,7 @@
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
+export DPKG_GENSYMBOLS_CHECK_LEVEL = 4
 include /usr/share/dpkg/default.mk
 
 %:
@@ -48,6 +49,7 @@
 	dh_auto_install --builddirectory=build-udeb \
 		--destdir=debian/tmp/udeb
 	rm debian/tmp/udeb/usr/bin/vte-2.91
+	rm debian/tmp/udeb/usr/bin/vte-2.91-gtk4
 	rm debian/tmp/udeb/usr/libexec/vte-urlencode-cwd
 endif
 	mv debian/tmp/deb/etc/profile.d/vte.sh \
@@ -68,7 +70,7 @@
 	dh_auto_test --builddirectory=build-deb
 
 override_dh_makeshlibs:
-	dh_makeshlibs -p$(LIB_PKG) --add-udeb=$(UDEB_PKG) -V -- -c4
+	dh_makeshlibs -p$(LIB_PKG) --add-udeb=$(UDEB_PKG)
 	dh_makeshlibs --remaining-packages
 
 override_dh_install:

## vte2.91 0.74.1

=== debian/changelog ===
vte2.91 (0.74.1-1.0nosystemd1) nosystemd; urgency=medium

  * No systemd/elogind 

 -- anticapitalista <antix@operamail.com>  Mon, 23 Oct 2023 19:04:05 +0300

vte2.91 (0.74.1-1) unstable; urgency=medium

  * New upstream release
  * Add Samuel Thibault's a11y patch to add missing text changes
    on scrolling with modifications

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 23 Oct 2023 08:21:36 -0400

## vte2.91 0.74.2

=== debian/changelog ===
vte2.91 (0.74.2-1) unstable; urgency=medium

  * New upstream release
  * Stop using debian/control.in and dh_gnome_clean

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 02 Jan 2024 16:49:50 -0500

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,8 @@
-# This file is autogenerated. DO NOT EDIT!
-#
-# Modifications should be made to debian/control.in instead.
-# This file is regenerated automatically in the clean target.
 Source: vte2.91
 Section: libs
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Gunnar Hjalmarsson <gunnarhj@debian.org>, Iain Lane <laney@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>
+Uploaders: Jeremy Bícha <jbicha@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gnome,
                dh-sequence-gir,

## vte2.91 0.75.91

=== meson_options.txt ===
# Copyright © 2018, 2019 Iñigo Martínez
#
# This library is free software: you can redistribute it and/or modify
# it under the terms of the GNU Lesser General Public License as published
# by the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with this library.  If not, see <https://www.gnu.org/licenses/>.

# This option allows you to disable -Bsymbolic-functions if your linker
# doesn't support it.
option(
  '_b_symbolic_functions',
  type: 'boolean',
  value: true,
  description: 'Use -Bsymbolic-functions',
)

option(
  'a11y',
  type: 'boolean',
  value: true,
  description: 'Enable a11y',
)

option(
  'debugg', # for some reason, 'debug' is "reserved"
  type: 'boolean',
  deprecated: true,
)

option(
  'docs',
  type: 'boolean',
  value: false,
  description: 'Enable documentation',
)

option(
  'gir',
  type: 'boolean',
  value: true,
  description: 'Enable GObject Introspection',
)

option(
  'fribidi',
  type: 'boolean',
  value: true,
  description: 'Enable FriBidi support',
)

option(
  'glade',
  type: 'boolean',
  value : true,
  description: 'Install a glade catalogue file'
)

option(
  'gnutls',
  type: 'boolean',
  value: true,
  description: 'Enable GNUTLS support',
)

option(
  'gtk3',
  type: 'boolean',
  value: true,
  description: 'Enable GTK+ 3.0 widget',
)

option(
  'gtk4',
  type: 'boolean',
  value: true,
  description: 'Enable GTK+ 4.0 widget',
)

option(
  'icu',
  type: 'boolean',
  value: true,
  description: 'Enable legacy charset support using ICU',
)

option(
  '_systemd',
  type: 'boolean',
  value: true,
  description: 'Enable systemd support',
)

option(
  'vapi', # would use 'vala' but that name is reserved
  type: 'boolean',
  value: true,
  description: 'Enable Vala bindings',
)

=== debian/changelog ===
vte2.91 (0.75.91-2.0nosystemd1) nosystemd; urgency=medium

  * No systemd/elogind 

 -- anticapitalista <antix@operamail.com>  Sun, 18 Feb 2024 11:51:48 +0200

vte2.91 (0.75.91-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 13 Feb 2024 08:47:30 -0500

vte2.91 (0.75.91-1) experimental; urgency=medium

  * New upstream release
  * Cherry-pick a patch to fix 32-bit build

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 13 Feb 2024 07:52:29 -0500

vte2.91 (0.75.0-1) experimental; urgency=medium

  [ Jeremy Bícha ]
  * New upstream release
  * debian/control: Add liblz4-dev to Build-Depends
  * debian/control: Bump minimum GTK4 to 4.12
  * debian/*.symbols: Add new symbols

  [ Samuel Thibault ]
  * Rebase a11y patch

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 08 Jan 2024 13:57:13 -0500

=== debian/control ===
--- 
+++ 
@@ -12,10 +12,10 @@
                libglib2.0-dev (>= 2.52.0),
                libgnutls28-dev (>= 3.2.7),
                libgtk-3-dev (>= 3.24.22),
-               libgtk-4-dev,
+               libgtk-4-dev (>= 4.12),
+               liblz4-dev,
                libpango1.0-dev (>= 1.22.0),
                libpcre2-dev (>= 10.21),
-               libsystemd-dev (>= 220) [linux-any],
                libxml2-utils,
                meson (>= 0.50.0),
                valac (>= 0.31.1)
@@ -30,9 +30,7 @@
 
 Package: libvte-2.91-0
 Architecture: any
-Depends: libvte-2.91-common (= ${binary:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends}
+Depends: libvte-2.91-common
 Multi-Arch: same
 Description: Terminal emulator widget for GTK+ 3.0 - runtime files
  The VTE library provides a terminal emulator widget VteTerminal for
@@ -132,7 +130,7 @@
 Depends: gir1.2-vte-3.91 (= ${binary:Version}),
          libglib2.0-dev (>= 2.40.0),
          libgnutls28-dev (>= 3.2.7),
-         libgtk-4-dev,
+         libgtk-4-dev (>= 4.12),
          libpango1.0-dev (>= 1.22.0),
          libpcre2-dev (>= 10.21),
          libvte-2.91-gtk4-0 (= ${binary:Version}),

=== debian/rules ===
--- 
+++ 
@@ -16,6 +16,7 @@
 	-Ddocs=true \
 	-Dgir=true \
 	-Dgnutls=true \
+        -D_systemd=false \
 	-Dgtk4=true
 
 CONFFLAGS_udeb = \
@@ -80,3 +81,8 @@
 	dh_install -p$(UDEB_PKG) --sourcedir=debian/tmp/udeb
 endif
 	dh_install --remaining-packages --sourcedir=debian/tmp/deb
+
+override_dh_missing:
+	dh_missing --list-missing
+
+override_dh_gnome_clean:

## vte2.91 0.75.92

=== debian/changelog ===
vte2.91 (0.75.92-1) unstable; urgency=medium

  * New upstream release
    - Fix bell not sounding in some cases (Closes: #1064943)
  * Drop 2 patches applied in new release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 04 Mar 2024 12:54:58 -0500

=== debian/control ===
--- 
+++ 
@@ -16,6 +16,7 @@
                liblz4-dev,
                libpango1.0-dev (>= 1.22.0),
                libpcre2-dev (>= 10.21),
+               libsystemd-dev (>= 220) [linux-any],
                libxml2-utils,
                meson (>= 0.50.0),
                valac (>= 0.31.1)
@@ -30,7 +31,9 @@
 
 Package: libvte-2.91-0
 Architecture: any
-Depends: libvte-2.91-common
+Depends: libvte-2.91-common (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
 Multi-Arch: same
 Description: Terminal emulator widget for GTK+ 3.0 - runtime files
  The VTE library provides a terminal emulator widget VteTerminal for

=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,6 @@
 	-Ddocs=true \
 	-Dgir=true \
 	-Dgnutls=true \
-        -D_systemd=false \
 	-Dgtk4=true
 
 CONFFLAGS_udeb = \
@@ -82,7 +81,4 @@
 endif
 	dh_install --remaining-packages --sourcedir=debian/tmp/deb
 
-override_dh_missing:
-	dh_missing --list-missing
-
 override_dh_gnome_clean:

## vte2.91 0.76.0

=== debian/changelog ===
vte2.91 (0.76.0-1) experimental; urgency=medium

  * New upstream release
  * Bump minimum GTK4 to 4.14
  * Cherry-pick a patch to fix a bounds check

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 04 Apr 2024 14:48:07 -0400

=== debian/control ===
--- 
+++ 
@@ -9,10 +9,10 @@
                gettext,
                gi-docgen,
                libgirepository1.0-dev (>= 0.9.12),
-               libglib2.0-dev (>= 2.52.0),
+               libglib2.0-dev (>= 2.72.0),
                libgnutls28-dev (>= 3.2.7),
                libgtk-3-dev (>= 3.24.22),
-               libgtk-4-dev (>= 4.12),
+               libgtk-4-dev (>= 4.14),
                liblz4-dev,
                libpango1.0-dev (>= 1.22.0),
                libpcre2-dev (>= 10.21),
@@ -105,7 +105,7 @@
 Architecture: any
 Section: libdevel
 Depends: gir1.2-vte-2.91 (= ${binary:Version}),
-         libglib2.0-dev (>= 2.40.0),
+         libglib2.0-dev (>= 2.72.0),
          libgnutls28-dev (>= 3.2.7),
          libgtk-3-dev (>= 3.12.0),
          libpango1.0-dev (>= 1.22.0),
@@ -131,9 +131,9 @@
 Architecture: any
 Section: libdevel
 Depends: gir1.2-vte-3.91 (= ${binary:Version}),
-         libglib2.0-dev (>= 2.40.0),
+         libglib2.0-dev (>= 2.72.0),
          libgnutls28-dev (>= 3.2.7),
-         libgtk-4-dev (>= 4.12),
+         libgtk-4-dev (>= 4.14),
          libpango1.0-dev (>= 1.22.0),
          libpcre2-dev (>= 10.21),
          libvte-2.91-gtk4-0 (= ${binary:Version}),

=== debian/watch ===
version=4
opts="searchmode=plain, uversionmangle=s/\.(alpha|beta|rc)/~$1/, downloadurlmangle=s|cache.json||" \
https://download.gnome.org/sources/vte/cache.json \
	[\d.]+[02468]/vte-([\d.]+)@ARCHIVE_EXT@
#opts=filenamemangle=s/.*\///g \
#  https://gitlab.gnome.org/GNOME/vte/tags?sort=updated_desc .*/archive/(\d+\.\d*[02468]\.\S+)/vte-\1\.tar\.gz

## vte2.91 0.76.3

=== debian/changelog ===
vte2.91 (0.76.3-1) experimental; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 10 Jun 2024 10:17:58 -0400

vte2.91 (0.76.2-1) experimental; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 29 May 2024 08:55:28 -0400

vte2.91 (0.76.1-1) experimental; urgency=medium

  * New upstream release
  * Drop patch applied in new release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 29 Apr 2024 10:37:29 -0400

## vte2.91 0.77.91

=== debian/changelog ===
vte2.91 (0.77.91-2.0nosystemd1) nosystemd; urgency=medium

  * No systemd/elogind 

 -- anticapitalista <antix@operamail.com>  Thu, 08 Aug 2024 21:04:54 +0300

vte2.91 (0.77.91-2) unstable; urgency=medium

  * On i386, build with -fexcess-precision=fast -ffloat-store
    to avoid a build test failure
  * Remove references to kfreebsd

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 08 Aug 2024 08:11:59 -0400

vte2.91 (0.77.91-1) unstable; urgency=medium

  * New upstream release
  * libvte-2.91-common: Install private terminfo definition
  * debian/*.symbols: Update
  * Remove ptyxis patches: no longer needed

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 07 Aug 2024 14:18:07 -0400

vte2.91 (0.76.3-6) unstable; urgency=medium

  [ Nathan Pratta Teodosio ]
  * Update autopkgtest to also test the GTK4 library (Closes: #1074788)

  [ Jeremy Bícha ]
  * Bump Standards-Version to 4.7.0
  * Release to unstable (Closes: #1070714)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 01 Aug 2024 09:23:43 -0400

vte2.91 (0.76.3-4) experimental; urgency=medium

  * d/libvte-2.91-0-udeb.install: Only include the GTK 3 version in
    the udeb.
    This was intended to be the udeb counterpart of libvte-2.91-0. We're
    still a long way off from moving debian-installer from GTK 2 to 3,
    so it isn't useful to have a separate libvte-2.91-gtk4-0-udeb for
    the GTK 4 build yet.

 -- Simon McVittie <smcv@debian.org>  Sun, 28 Jul 2024 16:33:02 -0400

vte2.91 (0.76.3-2) experimental; urgency=medium

  * Add patches needed by ptyxis 46
  * Add new symbols for those patches

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 28 Jul 2024 15:02:45 -0400

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,6 @@
                liblz4-dev,
                libpango1.0-dev (>= 1.22.0),
                libpcre2-dev (>= 10.21),
-               libsystemd-dev (>= 220) [linux-any],
                libxml2-utils,
                meson (>= 0.50.0),
                valac (>= 0.31.1)
@@ -24,16 +23,14 @@
 Build-Depends-Indep: libatk1.0-doc <!nodoc>,
                      libglib2.0-doc <!nodoc>,
                      libgtk-3-doc <!nodoc>
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/vte2.91
 Vcs-Git: https://salsa.debian.org/gnome-team/vte2.91.git
 Homepage: https://wiki.gnome.org/Apps/Terminal/VTE
 
 Package: libvte-2.91-0
 Architecture: any
-Depends: libvte-2.91-common (= ${binary:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends}
+Depends: libvte-2.91-common
 Multi-Arch: same
 Description: Terminal emulator widget for GTK+ 3.0 - runtime files
  The VTE library provides a terminal emulator widget VteTerminal for

=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,11 @@
 export DPKG_GENSYMBOLS_CHECK_LEVEL = 4
 include /usr/share/dpkg/default.mk
 
+ifeq (${DEB_HOST_ARCH},i386)
+export DEB_CFLAGS_MAINT_APPEND=-fexcess-precision=fast -ffloat-store
+export DEB_CXXFLAGS_MAINT_APPEND=-fexcess-precision=fast -ffloat-store
+endif
+
 %:
 	dh $@
 
@@ -16,6 +21,7 @@
 	-Ddocs=true \
 	-Dgir=true \
 	-Dgnutls=true \
+        -D_systemd=false \
 	-Dgtk4=true
 
 CONFFLAGS_udeb = \
@@ -61,10 +67,8 @@
 	dh_auto_clean --builddirectory=build-udeb
 endif
 
-override_dh_clean:
-	rm -f debian/libvte-2.91-common.install.kfreebsd
+execute_before_dh_clean:
 	rm -f debian/libvte-2.91-common.install.hurd
-	dh_clean
 
 override_dh_auto_test:
 	dh_auto_test --builddirectory=build-deb
@@ -74,11 +78,13 @@
 	dh_makeshlibs --remaining-packages
 
 override_dh_install:
-	grep -E -v 'lib/systemd' debian/libvte-2.91-common.install > debian/libvte-2.91-common.install.kfreebsd
 	grep -E -v 'lib/systemd' debian/libvte-2.91-common.install > debian/libvte-2.91-common.install.hurd
 ifneq ($(filter %-udeb,$(binaries)),)
 	dh_install -p$(UDEB_PKG) --sourcedir=debian/tmp/udeb
 endif
 	dh_install --remaining-packages --sourcedir=debian/tmp/deb
 
+override_dh_missing:
+	dh_missing --list-missing
+
 override_dh_gnome_clean:

## vte2.91 0.77.92

=== debian/changelog ===
vte2.91 (0.77.92-1.0nosystemd1) nosystemd; urgency=medium

  * No systemd/elogind 

 -- anticapitalista <antix@operamail.com>  Fri, 13 Sep 2024 18:06:10 +0300

vte2.91 (0.77.92-1) unstable; urgency=medium

  * New upstream release
  * Revert "libvte-2.91-common: Install private terminfo definition":
    This feature has been postponed to 0.79/0.80 (or later) (Closes: #1079886)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 04 Sep 2024 07:52:33 -0400

## vte2.91 0.78.0

=== debian/changelog ===
vte2.91 (0.78.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 16 Sep 2024 08:14:22 -0400

=== debian/control ===
--- 
+++ 
@@ -16,6 +16,7 @@
                liblz4-dev,
                libpango1.0-dev (>= 1.22.0),
                libpcre2-dev (>= 10.21),
+               libsystemd-dev (>= 220) [linux-any],
                libxml2-utils,
                meson (>= 0.50.0),
                valac (>= 0.31.1)
@@ -30,7 +31,9 @@
 
 Package: libvte-2.91-0
 Architecture: any
-Depends: libvte-2.91-common
+Depends: libvte-2.91-common (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
 Multi-Arch: same
 Description: Terminal emulator widget for GTK+ 3.0 - runtime files
  The VTE library provides a terminal emulator widget VteTerminal for

## vte2.91 0.78.1

=== debian/changelog ===
vte2.91 (0.78.1-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Remove version constraints unnecessary since Debian 11
  * d/README.Debian: Replace information about vte.sh with vte-2.91.sh.
    The information previously provided in this file was 10 years out
    of date.
  * d/control: Add ${gir:Depends}, ${gir:Provides} to -dev packages
  * d/control: Distinguish between GTK 3 and 4 g-i data.
    Previously these two packages had identical short descriptions.
  * d/control: Stop describing GTK 3 as GTK+ 3.0
  * Register documentation with devhelp and doc-base

 -- Simon McVittie <smcv@debian.org>  Mon, 28 Oct 2024 11:09:55 +0000

## vte2.91 0.78.2

=== debian/changelog ===
vte2.91 (0.78.2-1build1) plucky; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 06 Jan 2025 05:30:19 +0100

vte2.91 (0.78.2-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 25 Nov 2024 09:01:59 -0500

=== debian/control ===
--- 
+++ 
@@ -8,18 +8,18 @@
                dh-sequence-gir,
                gettext,
                gi-docgen,
-               libgirepository1.0-dev (>= 0.9.12),
+               libgirepository1.0-dev,
                libglib2.0-dev (>= 2.72.0),
-               libgnutls28-dev (>= 3.2.7),
-               libgtk-3-dev (>= 3.24.22),
+               libgnutls28-dev,
+               libgtk-3-dev,
                libgtk-4-dev (>= 4.14),
                liblz4-dev,
-               libpango1.0-dev (>= 1.22.0),
-               libpcre2-dev (>= 10.21),
-               libsystemd-dev (>= 220) [linux-any],
+               libpango1.0-dev,
+               libpcre2-dev,
+               libsystemd-dev [linux-any],
                libxml2-utils,
-               meson (>= 0.50.0),
-               valac (>= 0.31.1)
+               meson,
+               valac
 Rules-Requires-Root: no
 Build-Depends-Indep: libatk1.0-doc <!nodoc>,
                      libglib2.0-doc <!nodoc>,
@@ -35,14 +35,14 @@
          ${misc:Depends},
          ${shlibs:Depends}
 Multi-Arch: same
-Description: Terminal emulator widget for GTK+ 3.0 - runtime files
+Description: Terminal emulator widget for GTK 3 - runtime files
  The VTE library provides a terminal emulator widget VteTerminal for
- applications using the GTK+ toolkit. It also provides the VtePTY object
+ applications using the GTK toolkit. It also provides the VtePTY object
  containing functions for starting a new process on a new
  pseudo-terminal and for manipulating pseudo-terminals.
  .
  This package contains the runtime library, needed by programs using the
- VTE widget with GTK+ 3.0.
+ VTE widget with GTK 3.
 
 Package: libvte-2.91-0-udeb
 Package-Type: udeb
@@ -51,13 +51,13 @@
 Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends}
-Description: Terminal emulator widget for GTK+ 3.0 - minimal runtime
+Description: Terminal emulator widget for GTK 3 - minimal runtime
  The VTE library provides a terminal emulator widget VteTerminal for
- applications using the GTK+ toolkit. It also provides the VtePTY object
+ applications using the GTK toolkit. It also provides the VtePTY object
  containing functions for starting a new process on a new
  pseudo-terminal and for manipulating pseudo-terminals.
  .
- This package contains the minimal runtime library for GTK+ 3.0 needed
+ This package contains the minimal runtime library for GTK 3 needed
  by the Debian installer.
 
 Package: libvte-2.91-gtk4-0
@@ -81,12 +81,12 @@
 Depends: ${gir:Depends},
          ${misc:Depends}
 Multi-Arch: same
-Description: GObject introspection data for the VTE library
+Description: GObject introspection data for the VTE library (GTK 3 version)
  This package contains introspection data for VTE, a terminal emulator
- widget for GTK+.
+ widget for GTK.
  .
  It can be used by interpreters understanding the GIRepository format to
- write programs using the VTE widget for GTK+ 3.0.
+ write programs using the VTE widget for GTK 3.
 
 Package: gir1.2-vte-3.91
 Architecture: any
@@ -94,9 +94,9 @@
 Depends: ${gir:Depends},
          ${misc:Depends}
 Multi-Arch: same
-Description: GObject introspection data for the VTE library
+Description: GObject introspection data for the VTE library (GTK 4 version)
  This package contains introspection data for VTE, a terminal emulator
- widget for GTK+.
+ widget for GTK.
  .
  It can be used by interpreters understanding the GIRepository format to
  write programs using the VTE widget for GTK 4.
@@ -106,40 +106,44 @@
 Section: libdevel
 Depends: gir1.2-vte-2.91 (= ${binary:Version}),
          libglib2.0-dev (>= 2.72.0),
-         libgnutls28-dev (>= 3.2.7),
-         libgtk-3-dev (>= 3.12.0),
-         libpango1.0-dev (>= 1.22.0),
-         libpcre2-dev (>= 10.21),
+         libgnutls28-dev,
+         libgtk-3-dev,
+         libpango1.0-dev,
+         libpcre2-dev,
          libvte-2.91-0 (= ${binary:Version}),
          libvte-2.91-common,
          zlib1g-dev,
+         ${gir:Depends},
          ${misc:Depends}
+Provides: ${gir:Provides}
 Recommends: libvte-2.91-doc
 Conflicts: libvte-2.90-dev
 Multi-Arch: same
-Description: Terminal emulator widget for GTK+ 3.0 - development files
+Description: Terminal emulator widget for GTK 3 - development files
  The VTE library provides a terminal emulator widget VteTerminal for
- applications using the GTK+ toolkit. It also provides the VtePTY object
+ applications using the GTK toolkit. It also provides the VtePTY object
  containing functions for starting a new process on a new
  pseudo-terminal and for manipulating pseudo-terminals.
  .
  This package contains development files for the VTE library and its
  Python bindings. It is needed to develop and build programs using the
- VTE widget with GTK+ 3.0.
+ VTE widget with GTK 3.
 
 Package: libvte-2.91-gtk4-dev
 Architecture: any
 Section: libdevel
 Depends: gir1.2-vte-3.91 (= ${binary:Version}),
          libglib2.0-dev (>= 2.72.0),
-         libgnutls28-dev (>= 3.2.7),
+         libgnutls28-dev,
          libgtk-4-dev (>= 4.14),
-         libpango1.0-dev (>= 1.22.0),
-         libpcre2-dev (>= 10.21),
+         libpango1.0-dev,
+         libpcre2-dev,
          libvte-2.91-gtk4-0 (= ${binary:Version}),
          libvte-2.91-common,
          zlib1g-dev,
+         ${gir:Depends},
          ${misc:Depends}
+Provides: ${gir:Provides}
 Recommends: libvte-2.91-doc
 Multi-Arch: same
 Description: Terminal emulator widget for GTK 4 - development files
@@ -156,14 +160,14 @@
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Multi-Arch: foreign
-Description: Terminal emulator widget for GTK+ 3.0 - common files
+Description: Terminal emulator widget for GTK 3 - common files
  The VTE library provides a terminal emulator widget VteTerminal for
- applications using the GTK+ toolkit. It also provides the VtePTY object
+ applications using the GTK toolkit. It also provides the VtePTY object
  containing functions for starting a new process on a new
  pseudo-terminal and for manipulating pseudo-terminals.
  .
  This package contains internationalization files for the VTE library
- and common files for the GTK+ 3.x version.
+ and common files for the GTK 3 version.
 
 Package: libvte-2.91-doc
 Architecture: all
@@ -171,14 +175,13 @@
 Section: doc
 Depends: ${misc:Depends}
 Build-Profiles: <!nodoc>
-Description: Terminal emulator widget for GTK+ 3.0 - documentation
+Description: Terminal emulator widget for GTK 3 - documentation
  The VTE library provides a terminal emulator widget VteTerminal for
- applications using the GTK+ toolkit. It also provides the VtePTY object
+ applications using the GTK toolkit. It also provides the VtePTY object
  containing functions for starting a new process on a new
  pseudo-terminal and for manipulating pseudo-terminals.
  .
- This package contains documentation files for the VTE library for GTK+
- 3.x.
+ This package contains documentation files for the VTE library for GTK 3.
 
 Package: libvte-2.91-gtk4-doc
 Architecture: all

## vte2.91 0.78.3

=== debian/changelog ===
vte2.91 (0.78.3-3.0nosystemd1) nosystemd; urgency=medium

  * No systemd/elogind 

 -- anticapitalista <antix@operamail.com>  Sun, 26 Jan 2025 13:13:14 +0200

vte2.91 (0.78.3-3) unstable; urgency=medium

  * Fix i386 build

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 25 Jan 2025 17:17:09 -0500

vte2.91 (0.78.3-2) unstable; urgency=medium

  * Try to apply the i386 precision tweak to hurd-i386 too

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 25 Jan 2025 16:21:40 -0500

vte2.91 (0.78.3-1) unstable; urgency=medium

  * New upstream release
  * Run wrap-and-sort
  * Opt into Salsa CI (but without blhc)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 25 Jan 2025 12:09:23 -0500

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bícha <jbicha@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
+               dh-sequence-gir,
                dh-sequence-gnome,
-               dh-sequence-gir,
                gettext,
                gi-docgen,
                libgirepository1.0-dev,
@@ -16,7 +16,6 @@
                liblz4-dev,
                libpango1.0-dev,
                libpcre2-dev,
-               libsystemd-dev [linux-any],
                libxml2-utils,
                meson,
                valac
@@ -31,9 +30,7 @@
 
 Package: libvte-2.91-0
 Architecture: any
-Depends: libvte-2.91-common (= ${binary:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends}
+Depends: libvte-2.91-common
 Multi-Arch: same
 Description: Terminal emulator widget for GTK 3 - runtime files
  The VTE library provides a terminal emulator widget VteTerminal for
@@ -49,8 +46,7 @@
 Build-Profiles: <!noudeb>
 Section: debian-installer
 Architecture: any
-Depends: ${misc:Depends},
-         ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Terminal emulator widget for GTK 3 - minimal runtime
  The VTE library provides a terminal emulator widget VteTerminal for
  applications using the GTK toolkit. It also provides the VtePTY object
@@ -78,8 +74,7 @@
 Package: gir1.2-vte-2.91
 Architecture: any
 Section: introspection
-Depends: ${gir:Depends},
-         ${misc:Depends}
+Depends: ${gir:Depends}, ${misc:Depends}
 Multi-Arch: same
 Description: GObject introspection data for the VTE library (GTK 3 version)
  This package contains introspection data for VTE, a terminal emulator
@@ -91,8 +86,7 @@
 Package: gir1.2-vte-3.91
 Architecture: any
 Section: introspection
-Depends: ${gir:Depends},
-         ${misc:Depends}
+Depends: ${gir:Depends}, ${misc:Depends}
 Multi-Arch: same
 Description: GObject introspection data for the VTE library (GTK 4 version)
  This package contains introspection data for VTE, a terminal emulator
@@ -138,8 +132,8 @@
          libgtk-4-dev (>= 4.14),
          libpango1.0-dev,
          libpcre2-dev,
+         libvte-2.91-common,
          libvte-2.91-gtk4-0 (= ${binary:Version}),
-         libvte-2.91-common,
          zlib1g-dev,
          ${gir:Depends},
          ${misc:Depends}

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 export DPKG_GENSYMBOLS_CHECK_LEVEL = 4
 include /usr/share/dpkg/default.mk
 
-ifeq (${DEB_HOST_ARCH},i386)
+ifneq (,$(filter $(DEB_HOST_ARCH),i386 hurd-i386))
 export DEB_CFLAGS_MAINT_APPEND=-fexcess-precision=fast -ffloat-store
 export DEB_CXXFLAGS_MAINT_APPEND=-fexcess-precision=fast -ffloat-store
 endif

## vte2.91 0.79.90

=== debian/changelog ===
vte2.91 (0.79.90-2) unstable; urgency=medium

  * Release to unstable (Closes: #1095038)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 18 Feb 2025 18:28:33 -0500

vte2.91 (0.79.90-1) experimental; urgency=medium

  * New upstream release
  * Add Build-Depends: libfast-float-dev
  * debian/*.symbols: Add new symbols
  * Cherry-pick commit to remove custom terminfo
  * Don't install the .desktop & xdg-terminal-exec files for the test apps

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 11 Feb 2025 18:29:24 -0500

=== debian/rules ===
--- 
+++ 
@@ -21,7 +21,6 @@
 	-Ddocs=true \
 	-Dgir=true \
 	-Dgnutls=true \
-        -D_systemd=false \
 	-Dgtk4=true
 
 CONFFLAGS_udeb = \
@@ -84,7 +83,8 @@
 endif
 	dh_install --remaining-packages --sourcedir=debian/tmp/deb
 
+# Don't install the test apps currently. These could go in a separate binary package
 override_dh_missing:
-	dh_missing --list-missing
+	dh_missing -X usr/share/applications -X usr/share/xdg-terminals
 
 override_dh_gnome_clean:

=== debian/watch ===
version=4
opts="searchmode=plain, uversionmangle=s/\.(alpha|beta|rc)/~$1/, downloadurlmangle=s|cache.json||" \
https://download.gnome.org/sources/vte/cache.json \
	[\d.]+/vte-([\d.]+)@ARCHIVE_EXT@

## vte2.91 0.79.91

=== debian/changelog ===
vte2.91 (0.79.91-2) unstable; urgency=medium

  * Cherry-pick patch to fix i386 build

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 01 Mar 2025 17:36:13 -0500

vte2.91 (0.79.91-1) unstable; urgency=medium

  * New upstream release
  * Remove i386 workaround that is no longer needed with the new release
  * Remove terminfo removal patch applied in new release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 01 Mar 2025 15:29:48 -0500

## vte2.91 0.80.0

=== debian/changelog ===
vte2.91 (0.80.0-1) unstable; urgency=medium

  * New upstream release
  * Remove i386 patch applied in new release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 17 Mar 2025 11:25:46 -0400

=== debian/rules ===
--- 
+++ 
@@ -8,11 +8,6 @@
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
 export DPKG_GENSYMBOLS_CHECK_LEVEL = 4
 include /usr/share/dpkg/default.mk
-
-ifneq (,$(filter $(DEB_HOST_ARCH),i386 hurd-i386))
-export DEB_CFLAGS_MAINT_APPEND=-fexcess-precision=fast -ffloat-store
-export DEB_CXXFLAGS_MAINT_APPEND=-fexcess-precision=fast -ffloat-store
-endif
 
 %:
 	dh $@
